<?xml version="1.0" encoding="UTF-8"?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
     http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-2.0.xsd">

	<changeSet id="core-0.20.0.01" author="ramoussou">
		<comment>Creation of a new table CORE_CONFIG containing Application configuration </comment>
		<createTable tableName="CORE_CONFIG">
			<column name="STR_KEY" type="java.sql.Types.VARCHAR(255)" remarks="Configuration Key">
				<constraints nullable="false" primaryKey="true" />
			</column>

			<column name="VALUE" type="TEXT" remarks="Configuration value" />
		</createTable>
	</changeSet>
	<changeSet id="core-0.20.0.02" author="gfouquet" dbms="mariadb, postgresql">
		<comment>Default welcome message</comment>
		<sql>
			<![CDATA[
				insert into CORE_CONFIG (STR_KEY, VALUE) values ('WELCOME_MESSAGE', '<p><span style="color:#ff0000;">The administrator default login is <strong>admin/admin</strong> (you can change this password in the &quot;<em>My account (admin)</em>&quot; menu).</span></p><p>Go to the &quot;<em>Administration&quot;</em> menu (in the upper right corner) to create new users and projects, or change this default home message.</p><p>&nbsp;</p>');
			]]>
		</sql>
	</changeSet>
  <changeSet id="core-0.20.0.02" author="gfouquet" dbms="h2">
    <comment>Default welcome message</comment>
    <sql>
			<![CDATA[
      insert into CORE_CONFIG (STR_KEY, `VALUE`) values ('WELCOME_MESSAGE', '<p><span style="color:#ff0000;">The administrator default login is <strong>admin/admin</strong> (you can change this password in the &quot;<em>My account (admin)</em>&quot; menu).</span></p><p>Go to the &quot;<em>Administration&quot;</em> menu (in the upper right corner) to create new users and projects, or change this default home message.</p><p>&nbsp;</p>');
      ]]>
		</sql>
  </changeSet>
</databaseChangeLog>
